Page MenuHomePhabricator

[Story] Other projects sidebar should have ability to include commons category links
Closed, ResolvedPublic

Description

users are doing this via scripts, with api calls etc.

https://ru.wikipedia.org/wiki/MediaWiki:Sidebar-related.js

we should find a way to support this with the other projects sidebar beta feature, so these links can be cached etc. instead.

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaBadges : masterOverride commons sidebar link with commons category
mediawiki/extensions/Wikibase : masterAdd a "WikibaseClientOtherProjectsSidebar" hook

Event Timeline

aude created this task.Apr 3 2015, 8:37 AM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2015, 8:37 AM
Lydia_Pintscher triaged this task as Medium priority.Apr 10 2015, 1:41 PM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher added a subscriber: Tpt.

I agree this would be a huge improvement.

Additionally, Commons should have its own box and not be demoted to "Other wiki's.

Jonas renamed this task from Other projects sidebar should have ability to include commons category links to [Story] Other projects sidebar should have ability to include commons category links.Aug 15 2015, 7:15 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptAug 15 2015, 7:15 PM

Can we connect this to an epic or story?

Steinsplitter moved this task from Incoming to Backlog on the Commons board.
Lydia_Pintscher raised the priority of this task from Medium to High.Sep 15 2015, 4:04 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Setting to high as Katie says this is done on every page view on ruwp.

Change 263535 had a related patch set uploaded (by Hoo man):
Add a "WikibaseClientOtherProjectsSidebar" hook

https://gerrit.wikimedia.org/r/263535

hoo claimed this task.Jan 11 2016, 11:05 PM
putnik added a subscriber: putnik.Jan 14 2016, 8:14 AM

Change 264597 had a related patch set uploaded (by Hoo man):
Override commons sidebar link with commons category

https://gerrit.wikimedia.org/r/264597

Change 263535 merged by jenkins-bot:
Add a "WikibaseClientOtherProjectsSidebar" hook

https://gerrit.wikimedia.org/r/263535

Bene added a subscriber: Bene.Jan 21 2016, 12:50 PM
aude closed this task as Resolved.Jan 21 2016, 1:07 PM
aude removed a project: Patch-For-Review.
aude moved this task from Review to Done on the Wikidata-Sprint-2016-01-19 board.

Change 264597 merged by jenkins-bot:
Override commons sidebar link with commons category

https://gerrit.wikimedia.org/r/264597

Jheald added a subscriber: Jheald.Mar 1 2016, 7:16 PM

A couple of wrinkles to examine, reported at Commons Village Pump: https://commons.wikimedia.org/wiki/Commons:Village_pump#WP_sidebars_now_link_to_Commons_categories

  1. Commons categories can show spurious sidebar links to themselves. (Presumably this might occur when the Commons category has been site-linked to an Wikidata article-like item, as about half a million have.)
  1. Commons people are wondering whether the sidebar links *from* Commons categories could go to Wikipedia articles, rather than Wikipedia categories.
hoo added a comment.Mar 2 2016, 10:39 PM

A couple of wrinkles to examine, reported at Commons Village Pump: https://commons.wikimedia.org/wiki/Commons:Village_pump#WP_sidebars_now_link_to_Commons_categories

  1. Commons categories can show spurious sidebar links to themselves. (Presumably this might occur when the Commons category has been site-linked to an Wikidata article-like item, as about half a million have.)

Will be addressed, please see T128661 for that.

  1. Commons people are wondering whether the sidebar links *from* Commons categories could go to Wikipedia articles, rather than Wikipedia categories.

Can you please create a new ticket, preferably with some form of community discussion for that?

He7d3r added a subscriber: He7d3r.May 6 2017, 2:12 PM